// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _File = {
	open: function () {
		// show spinner
		_TabSpinner.show();
		// Get last backup
		if (_SDStorage.allowed()) {
			// FFOS device
			_DOM.hide('main_import');
			_DOM.hide('main_export');
			_Log.info(tr('SD storage available') + '... ' + tr('Searching for the last backup file') + '...');
			_SD.recall_last_backup();
		} else {
			if (_LocalStorage.allowed()) {
				// Web navigator
				_Log.info(tr('Local storage available') + '... ');
				_Local.recall_last_backup();
				// add uploader
				var _Uploader1 = new Uploader();
				_Uploader1.init('main_import', function (file) {
					_TabCal.redraw_current_year();
					var reader = new FileReader();
					reader.onload = function (e) {
						try {
							var parser = new DOMParser();
							// sanitize XML using two ways...
							var xml_doc = parser.parseFromString(e.target.result, "text/xml");
							xml_doc.normalize();
							var blobdata = (new XMLSerializer()).serializeToString(xml_doc);
							_XML.read(blobdata);
						} catch (err) {
							alert(err.message);
						}
					}
					reader.onerror = function (e) {
						alert(tr('Error while uploading file') + ' !');
					}
					reader.readAsText(file, "UTF-8");
				});
			} else {
				alert(tr('No storage API found') + ' !');
				_TabMain.scroll_today();
				_TabSpinner.hide();
			}
		}
	},
	save: function () {
		// we could abort here when _SDStorage.allowed() is false...
		// but it easier to let these part for debugging !
		var filename = 'cactus/default/' + (new Date()).to_yyyymmddhhiiss() + '.xml';
		var xml_string = _XML.write();
		if (_SDStorage.allowed())
			_SDStorage.write('sdcard', filename, xml_string, 'text/plain');
		if (_LocalStorage.allowed())
			_LocalStorage.write(xml_string);
	}
}
		