// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _FilterDB = {
	counter: 0,
	db: {},
	maxlength: {
		'value': 30
	},
	tpl: function () {
		return {
			'seq': '',
			'value': '',
		};
	},
	next_seq: function () {
		return 'filter_seq_' + _FilterDB.counter++;
	},
	add: function (filter) {
		return _FilterDB.db[filter.seq] = filter;
	},
	chk: function (filter) {
		if (typeof(filter)!='object')
			throw tr('A filter object is missing') + '.';
		// seq
		if (typeof(filter.seq)!='string')
			throw tr('The field') + ' "' + tr('sequence') + '" ' + tr('is missing') + '.';
		if (filter.seq.match(/^filter_seq_\d{1,10}$/)==null)
			throw tr('The field') + ' "' + tr('sequence') + '" ' + tr('is bad formatted') + '.';
		// value
		if (typeof(filter.value)!='string')
			throw tr('The field') + ' "' + tr('value') + '" ' + tr('is missing') + '.';
		filter.value = filter.value.replace('<','').replace('>','').replace('#','').substr(0,_FilterDB.maxlength['value']);
		if (!filter.value.length)
			throw tr('The field') + ' "' + tr('value') + '" ' + tr('is empty') + '.';
	},
	del: function (seq) {
		if (seq in _FilterDB.db)
			delete _FilterDB.db[seq];
	},
	del_by_value: function (value) {
		for (var seq in _FilterDB.db) {
			if (_FilterDB.db[seq]['value']==value) {
				delete _FilterDB.db[seq];
			}
		}		
	},
	upd: function (obj) {
		if (!('seq' in obj)) {
			_Log.error(tr('No sequence given') + '.');
			return false;
		}
		var seq = obj['seq'];
		if (!(seq in _FilterDB.db)) {
			_Log.error(tr('Unknow sequence') + '.');
			return false;
		}
		for (var i in obj)
			_FilterDB.db[seq][i] = obj[i];
		return true;
	}
};

