// Jean Luc Biellmann - contact@alsatux.com

"use strict";

var _TabFilter = {
	init: function () {
		_DOM.listen('button_filter_close', 'click', _TabFilter.slot.hide);
		_DOM.listen('button_filter_del', 'click', _TabFilterDelete.slot.show);
		_DOM.listen('div_filters_list', 'click', _TabFilter.slot.click);
	},
	slot: {
		show: function (e) {
			return _Lock.action(e, function (e) {
				_TabFilter.ls();
				_DOM.show('tab_filter');
			});
		},
		hide: function (e) {
			return _Lock.action(e, function (e) {
				_DOM.hide('tab_filter');
			});
		},
		click: function (e) {
			return _Lock.action(e, function (e) {
				var obj = e.target;
				while (obj.nodeName!='SPAN' && obj!=null)
					obj = obj.parentNode;
				if (obj!=null) {
					_TabFilter.select(obj.innerHTML);
				}
			});
		}
	},
	ls: function () {
		_DOM.id('div_filters_list').innerHTML = '';
		for (var seq in _FilterDB.db) {
			var filter = _FilterDB.db[seq];
			_DOM.id('div_filters_list').innerHTML += '\
			<span class="rounded">' + filter.value + '</span>';
		}
	},
	select: function (value) {
		_DOM.id('input_keywords_filter').value = value;
		_DOM.hide('tab_filter');
		_TabMain.filter_events(0);
	}
};
